System.ServiceModel 4.0.0.0 System.IdentityModel.Tokens.SecurityToken

This class represents an encrypted key that comes over the wire. The encrypted key is a symmetric key that is encrypted for the receiving party using the receiving party’s public key. When such a key is received, the receiver’s security token is resolved, the symmetric key is decrypted, and an instance of this class is created that contains these two pieces of information.

Represents a security token whose key is wrapped inside another token.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The ID of the key token.
  The key to be wrapped.
  The algorithm used to do the wrapping.
  A that represents the wrapping token.
  A that represents a reference to the wrapping token.
- Method
  4.0.0.0
  System.Boolean System.IdentityModel.Tokens.SecurityKeyIdentifierClause To be added.

  Gets a value that indicates whether the token can create a key identifier clause.

  true if the token can create a key identifier clause; otherwise, false. The default is false.

  The type of the .
- Method
  4.0.0.0
  T System.IdentityModel.Tokens.SecurityKeyIdentifierClause To be added.

  Create a key identifier clause.

  The type of the .

  The type of the .
- Method
  4.0.0.0
  System.Byte[] To be added.

  Gets the wrapped key.

  The wrapped key.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the token ID.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Compares the current security key identifier clause to a specified one for equality.

  true if the current security key identifier clause equals the specified one; otherwise, false. The default is false.

  The specified security key identifier clause.
- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.IdentityModel.Tokens.SecurityKey> To be added. To be added.

  Gets a collection of security keys.

- Property
  4.0.0.0
  System.DateTime To be added. To be added.

  Gets the token effective start date.

- Property
  4.0.0.0
  System.DateTime To be added. To be added.

  Gets the token expiration date.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the wrapping algorithm.

- Property
  4.0.0.0
  System.IdentityModel.Tokens.SecurityToken To be added. To be added.

  Gets the wrapping token.

- Property
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyIdentifier To be added. To be added.

  Gets the wrapping token reference.